[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#523910: marked as done (FTBFS: incorrectly specifies qmake-qt4)

Your message dated Sun, 05 Jul 2009 11:25:27 +0000
with message-id <E1MNPqZ-0003wC-C5@ries.debian.org>
and subject line Bug#523910: fixed in qzion 0.4.0+lgpl-1
has caused the Debian Bug report #523910,
regarding FTBFS: incorrectly specifies qmake-qt4
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

523910: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=523910
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: qzion
Severity: serious
Justification: no longer builds from source

If the qt3-dev-tools package is installed, then the /usr/bin/qmake
symlink points to the qt3 version of qmake.

In the debian/rules file, the QMAKE variable is set before including the
qmake class from cdbs.  As a result, the hardcoded default is used
instead of the existing option in the debian/rules file, leading to
qmake-qt3 being used instead of qmake-qt4.

Instead the QMAKE variable should be set, after including the qmake cdbs
class file.

-- System Information:
Debian Release: 5.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Stephen Depooter

--- End Message ---
--- Begin Message ---
Source: qzion
Source-Version: 0.4.0+lgpl-1

We believe that the bug you reported is fixed in the latest version of
qzion, which is due to be installed in the Debian FTP archive:

  to pool/main/q/qzion/libqzion-dev_0.4.0+lgpl-1_amd64.deb
  to pool/main/q/qzion/libqzion-dev_0.4.0+lgpl-1_i386.deb
  to pool/main/q/qzion/libqzion0a_0.4.0+lgpl-1_amd64.deb
  to pool/main/q/qzion/libqzion0a_0.4.0+lgpl-1_i386.deb
  to pool/main/q/qzion/qzion_0.4.0+lgpl-1.diff.gz
  to pool/main/q/qzion/qzion_0.4.0+lgpl-1.dsc
  to pool/main/q/qzion/qzion_0.4.0+lgpl.orig.tar.gz

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 523910@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Debian Krap Maintainers <debian-qt-kde@lists.debian.org> (supplier of updated qzion package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.8
Date: Mon, 29 Jun 2009 15:11:09 +0300
Source: qzion
Binary: libqzion-dev libqzion0a
Architecture: amd64 i386 source 
Version: 0.4.0+lgpl-1
Distribution: experimental
Urgency: low
Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
Closes: 523910 526852
 libqzion0a - canvas abstraction used by and made for QEdje
 libqzion-dev - canvas abstraction used by and made for QEdje
 qzion (0.4.0+lgpl-1) experimental; urgency=low
   * New upstream release. (Closes: #526852)
   +++ Changes by Sune Vuorela:
   * Take tarball based off d2045a5c8bdce45d23ece11ceccba7d5aaec7988, as it is
     0.4.0 + a commit relicensing to lgpl.
   * Update copyright file
   * Bump SONAME, abi has changed. this is krap. Use quilt for patching.
   +++ Changes by Fathi Boudra:
   * Update homepage.
   * Bump Standards-Version from 3.8.0 to 3.8.1 (no changes needed).
   +++ Changes by George Kiagiadakis:
   * Switch to cmake. (Closes: #523910)
   * Update installed files.
   * Update compat to 7.
   * Do not build python bindings as they are not needed for kde.
 00c61e2de6464374f672970aeb106e26573077a2 11718 libqzion-dev_0.4.0+lgpl-1_i386.deb
 2ef89e7a4a066a2bbe3dfe8dac97a34144752608 279614 qzion_0.4.0+lgpl.orig.tar.gz
 4fe2125ee5cd8e08a59f9d7acdbfc82f2449096d 11704 libqzion-dev_0.4.0+lgpl-1_amd64.deb
 9d482cc35bc44aa760f6a3593152b4b32f9b6726 1212 qzion_0.4.0+lgpl-1.dsc
 722db93e334002ba04efaf79d1e953445e3acf96 52544 libqzion0a_0.4.0+lgpl-1_i386.deb
 eee2a101301c516e89a94aec59facee5493f2ce9 52058 libqzion0a_0.4.0+lgpl-1_amd64.deb
 fd6d95783c884b3c65a1d7fb21d0183ecadbecde 3183 qzion_0.4.0+lgpl-1.diff.gz
 d7aee8a3466d79993b0542e40034ed19eaf5d20ad6a9998cf81835d6f9a990ad 1212 qzion_0.4.0+lgpl-1.dsc
 10c255145ba794fad970f118a7ae8d6dd3ddbebea2c221d8e36a76c3023927fe 11704 libqzion-dev_0.4.0+lgpl-1_amd64.deb
 114940fb56b29872535b865cb3579d534b2a5844a53ba9776b8e218e258bd339 52058 libqzion0a_0.4.0+lgpl-1_amd64.deb
 1b3b462c76ffcfe08cf3875b5ded9b873df5a01fefee38d8966449cb269503f5 3183 qzion_0.4.0+lgpl-1.diff.gz
 21aa1318779745505e53404e2dab7e696a6cf8259db8e3af4abcc8b0fab218c2 11718 libqzion-dev_0.4.0+lgpl-1_i386.deb
 590ef754dd7658dc2d3e6648b945bfb4b245602877a76b64121ca6622c09606b 52544 libqzion0a_0.4.0+lgpl-1_i386.deb
 7fb1a1410c3f73e6de1c7a3748fc9edfabfc98e1a94d1d257d156447970df31c 279614 qzion_0.4.0+lgpl.orig.tar.gz
 22ca04660b561c064aa2147226b0585c 1212 libs optional qzion_0.4.0+lgpl-1.dsc
 30087c19a864fd1be2c630b8b0659058 11718 libdevel optional libqzion-dev_0.4.0+lgpl-1_i386.deb
 96bc9b698175dfd7e671905df405ea54 11704 libdevel optional libqzion-dev_0.4.0+lgpl-1_amd64.deb
 b9b61cf7dc6dc1720c5957cfa57c244a 279614 libs optional qzion_0.4.0+lgpl.orig.tar.gz
 d94e3d4aa1e4d90c8702f29bb3c42d04 3183 libs optional qzion_0.4.0+lgpl-1.diff.gz
 f0d911ffd2d079ca8ecd8e6b1376adc7 52544 libs optional libqzion0a_0.4.0+lgpl-1_i386.deb
 fe5a0a6fc397a979403d6c73aa059e78 52058 libs optional libqzion0a_0.4.0+lgpl-1_amd64.deb

Version: GnuPG v1.4.9 (GNU/Linux)


--- End Message ---

Reply to: